"to view those records and edit/update or delete those recors"

To view or edit a record you must first select that record.  This is how I do it, 
 in the fasm--flatassembler.net--but should be easily translated to MASM.

Declare the select statement to select all records:

	szSelAllTrucks	db	'Select * From Truck Order By trans_num DESC', 0
	szDBName		db	"Truck.sql", 0
	pDB				dd	?
	pStmt			dd	?

Then use that statement to query the table:

	mov		[.row], -1
	cinvoke	sqlite3_open, szDBName, pDB			;Open database
	cinvoke	sqlite3_prepare_v2, [pDB], szSelAllTrucks, -1, pStmt, 0
	cinvoke	sqlite3_step, [pStmt]
	
	mov		[lvi.iItem], -1

	.while	eax, e, SQLITE_ROW
		;Date
		mov		[lvi.mask], LVIF_TEXT + LVIF_PARAM
		add		[lvi.iItem], 1
		mov		[lvi.iSubItem], 0
;get data from 2nd column (1) which in this case is date, stored as an integer
		cinvoke	sqlite3_column_int, [pStmt], 1		;'Our' Date format 1 DWORD, year in upper WORD, month in ah, day in al

		call	Show_Date							;Returns date in get_buffer
		
		mov		[lvi.pszText], get_buffer
;get data from 1st column (0) the trans num, this becomes the param for each row
		cinvoke	sqlite3_column_int, [pStmt], 0
		mov		[lvi.lParam], eax
		lea		eax, [lvi]
		invoke	SendMessage, [hFti], LVM_INSERTITEM, 0, eax	;1

		mov		[lvi.mask], LVIF_TEXT
		;Planter
		inc		[lvi.iSubItem]
;get data from 3rd column (2), text
		cinvoke	sqlite3_column_text, [pStmt], 2
		mov		[lvi.pszText], eax
		lea		eax, [lvi]
		invoke	SendMessage, [hFti], LVM_SETITEM, 0, eax	;2

;...	fill 8 more columns

		cinvoke	sqlite3_step, [pStmt]
	.endw

	cinvoke	sqlite3_finalize, [pStmt]
	cinvoke sqlite3_close, [pDB]

Then, when the item is chosen from the listview, use another select statement to get 
 the proper record.  The ? represents the variable which will specify the record we 
 want.  The variable is connected with the trans_num with the sqlite3_bind_ command:

	szGetOneTruck	db	"Select * From Truck Where trans_num = ?", 0

	cinvoke	sqlite3_open, szDBName, pDB			;Open database

	cinvoke	sqlite3_prepare_v2, [pDB], szGetOneTruck, -1, pStmt, 0
	;set the trans_num as the parameter '1' of the Select statement
	cinvoke	sqlite3_bind_int,  [pStmt], 1, [sel_truck]

	cinvoke	sqlite3_step, [pStmt]

Use the same "sqlite3_column_" commands to get the data

	cinvoke	sqlite3_column_int, [pStmt], 1		;Date Stored in 'Our' format, convert to SYSTEMTIME 16 BYTES

;... get the other columns

	cinvoke	sqlite3_finalize, [pStmt]
	cinvoke sqlite3_close, [pDB]

Edit the record data, then update the record in the table:

	szUpdTruckRec	db	'Update Truck Set arriv_date = ?, planter = ?, harvestloc = ?, deliveryloc = ?, '
					db	'trucker = ?, full_weight = ?, mt_weight = ?, net_weight = ?, net_bushels = ?, '
					db	'ticketnum = ? Where trans_num = ?;', 0

	cinvoke	sqlite3_open, szDBName, pDB			;Open database
	cinvoke	sqlite3_prepare_v2, [pDB], szUpdTruckRec, -1, pStmt, 0
	cinvoke	sqlite3_bind_int, [pStmt], 11, [sel_truck]		;
	
	;Get data from edit fields, and bind to the ? variable in the update statement
	invoke	SendMessage, [DT_handle], DTM_GETSYSTEMTIME, 0, SysTime
	stdcall	ST_to_SQ, SysTime, temp_date		;My routine to convert Date to integer
	mov		eax, [temp_date]
	cinvoke	sqlite3_bind_int, [pStmt], ebx, eax
	inc		ebx
	invoke	SendMessage, [Planter_handle], WM_GETTEXT, 80, get_buffer
	cinvoke	sqlite3_bind_text, [pStmt], ebx, get_buffer, eax, SQLITE_TRANSIENT
	inc		ebx
	invoke	SendMessage, [Harvest_handle], WM_GETTEXT, 80, get_buffer
	cinvoke	sqlite3_bind_text, [pStmt], ebx, get_buffer, eax, SQLITE_TRANSIENT

;... do other gets and binds

	cinvoke	sqlite3_step, [pStmt]
	cinvoke	sqlite3_finalize, [pStmt]
	cinvoke sqlite3_close, [pDB]

To delete a record, do the same as Select:

	szDelTruckRec	db	'Delete from Truck Where trans_num = ?;', 0